We’ve worked with hundreds of clients, and one common question is: How can we achieve 100% message delivery?Over the years, we’ve optimized every channel using AI-powered real-time dynamic routing and automated retries at Zixflow. While we outperform competitors in delivery rates, achieving 100% delivery isn’t always possible due to limitations in operator infrastructure, which is beyond our control. However, ensuring critical use cases like OTPs or mandatory messages reach users on time is essential, as missed messages can lead to lost business opportunities.To solve this, we’re introducing the world’s first OTPflow API. With this, we can achieve 99.99% delivery for valid numbers.Here’s how it works:
The system uses AI to optimize delivery across all channels with priority routing, not just at Zixflow but also at the operator level.
If a message fails or isn’t delivered in time, it automatically switches to another channel.
You can pass potential messages to all activated channels in your account, and the system will handle delivery optimization on autopilot.
This approach ensures faster and more reliable message delivery, reducing drop-offs and maximizing business impact.
Sequential Delivery: Messages are sent in the defined order (e.g., SMS → WhatsApp → RCS). You can customize it on request.
Timeout Handling:
If a message is delivered within the timeout window, the next steps are skipped.
If a message fails, it will switch to the next channel (e.g., if the message fails within 2 seconds, it will move to the next channel immediately without waiting for the timeout).
If we don’t receive a delivery report (success or failure) within the timeout window, it will switch to the next channel.
Multi-Channel Reliability: Combining SMS, WhatsApp, and RCS ensures high delivery success.
Higher Delivery Rates: Ensures at least one channel succeeds.
Efficient Use of Resources: No redundant attempts and reduces wait-time for users.
Customizable: Control timeouts and delivery order.
Save Costs: Instead of retrying on the same channel multiple times or sending messages to all channels simultaneously, this approach triggers the second channel only if the first one fails, reducing unnecessary usage and cost.
Real-time updates: When a switch occurs to the next channel, we can trigger a webhook to your system. This allows you to optimize the user experience. For example, if SMS couldn’t be delivered, we’ll notify you that the message has been sent via the next channel ex. WhatsApp.
Timeout Limitation: The maximum timeout window for all channels combined is 5 minutes (300 seconds). After this, the entire request is skipped.
Total Messages: In one request, you can send a minimum of 1 message and a maximum of 5 messages. You can use the same channel multiple times or use different channels as per your need (e.g., SMS → SMS → WhatsApp → RCS → Email).
Fallback Channels: In some cases, delivery reports may arrive late, even if the message was delivered on time. Despite optimizations, this may result in messages being sent on multiple channels if the report isn’t received within the timeout window.
How to Test: To check if all information or messages are being sent correctly, set the timeout to 0. This will trigger all messages at once, allowing you to verify if they’re received on the test number from all channels. Once confirmed, increase the timeout for the production environment. We recommend adding a 10-second delay between each message for optimal performance.No Additional Cost: There are no extra charges for this service. You’ll only be charged for the messages sent, based on the pricing of each channel.
Number Verification: For OTP or number verification, use only SMS, WhatsApp,
and RCS. Avoid using email, as users may receive the OTP via email, but it
won’t verify the phone number.
A list of message objects to be sent. It explained below.
Yes
webhookurl
string
Important: Pass the webhook URL if you want to display a message to the user when a channel switch happens. eg. If a message switches from SMS to RCS, a webhook will be triggered. You can ignore if you don’t want it.
This is not a message delivery webhook. That you need to pass it only in the respective message body. The report URL is separate and used for reporting purposes like delivered.
Each message object in the messages array contains the following fields:
Field
Type
Description
Required
channel
string
The channel through which the message is sent (e.g., sms/whatsapp/rcs/email).
Yes
timeout
number
Timeout value for the message in seconds. it range from 0-300.
Yes
messageType
string
Type of the message. Empty for email and sms channel. For rcs values can be text, message, video, audio, document, template. For whatsapp value can be template, custom.
Yes
data
object
The message data containing detailed information with respective channel.
Type of the message. Empty for email and sms channel. For rcs values can
be text, message, video, audio, document, template. For
whatsapp value can be template, custom.
Ensure the webhook URL is accessible and capable of handling incoming responses. Our system makes only one attempt, and if your webhook URL is down, the request response cannot be recovered.
Timeout values should be set based on the use case to prevent excessive delays.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Zixflow Docs","description":"Zixflow Documentation — event tracking guides, SDK integration, and API reference for Zixflow App and Zixflow AI","colors":{"primary":"#9563FF","light":"#AE87FF","dark":"#0D001D"},"logo":{"light":"https://mintcdn.com/zixflow/ZkR4R10Bz-5t_RgN/logo/light.svg?fit=max\u0026auto=format\u0026n=ZkR4R10Bz-5t_RgN\u0026q=85\u0026s=a7334d13abb8d817b7f9416d78981521","dark":"https://mintcdn.com/zixflow/ZkR4R10Bz-5t_RgN/logo/dark.svg?fit=max\u0026auto=format\u0026n=ZkR4R10Bz-5t_RgN\u0026q=85\u0026s=15522c1bd8a4805f9537103d7dbaece0"},"favicon":"https://mintcdn.com/zixflow/ZkR4R10Bz-5t_RgN/favicon.png?fit=max\u0026auto=format\u0026n=ZkR4R10Bz-5t_RgN\u0026q=85\u0026s=4bb86887a346e473f0ccc65917d5bd5d","api":{"playground":{"display":"interactive"}},"navbar":{"links":[{"href":"mailto:support@zixflow.com","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://app.zixflow.com"}},"footer":{"socials":{"x":"https://twitter.com/zixflow","github":"https://github.com/zixflow","linkedin":"https://www.linkedin.com/company/zixflow"}},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Zixflow Web","icon":"globe","href":"https://zixflow.com/"},{"anchor":"Help Center","icon":"book-open-cover","href":"https://help.zixflow.com/en"},{"anchor":"Blog","icon":"newspaper","href":"https://zixflow.com/blog"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"zixflow","hasAudioNarration":false,"actualSubdomain":"zixflow","customDomains":["docs.zixflow.com"],"gitSource":{"type":"github","owner":"premsaini8","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{},"buildId":"6ae32397fa750f920782391b","clientVersion":"0.0.4087","searchFilterCounts":[{"language":"default","tag":"API Reference","count":134},{"language":"default","tag":"Zixflow AI","count":70},{"language":"default","tag":"SDK Integrations","count":70},{"language":"default","tag":"Zixflow App","count":68},{"language":"default","tag":"Events","count":25},{"language":"default","tag":"Getting Started","count":25},{"language":"default","tag":"WhatsApp","count":22},{"language":"default","tag":"Features","count":22},{"language":"default","tag":"Direct Messages","count":19},{"language":"default","tag":"Whatsapp Campaign","count":13}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/campaign/otp-flow/otp-flow-api","slug":"/api-reference/campaign/otp-flow/otp-flow-api","pageMetadata":{"title":"OTPflow API","api":"POST https://api.zixflow.com/api/v1/campaign/otp-flow","description":"AI-powered OTPflow API designed to maximize message delivery success by automatically routing messages through multiple channels on autopilot.","href":"/api-reference/campaign/otp-flow/otp-flow-api"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"AI-powered OTPflow API designed to maximize message delivery success by automatically routing messages through multiple channels on autopilot.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,hr:`hr`,li:`li`,ol:`ol`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,Info,ParamField,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Info)_missingMdxReference(`Info`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`We’ve worked with hundreds of clients, and one common question is: `,_jsx(_components.strong,{children:`How can we achieve 100% message delivery?`})]}),`\n`,_jsx(_components.p,{children:`Over the years, we’ve optimized every channel using AI-powered real-time dynamic routing and automated retries at Zixflow. While we outperform competitors in delivery rates, achieving 100% delivery isn’t always possible due to limitations in operator infrastructure, which is beyond our control. However, ensuring critical use cases like OTPs or mandatory messages reach users on time is essential, as missed messages can lead to lost business opportunities.`}),`\n`,_jsxs(_components.p,{children:[`To solve this, we’re introducing the `,_jsx(_components.strong,{children:`world’s first OTPflow API.`}),` With this, we can achieve `,_jsx(_components.strong,{children:`99.99% delivery for valid numbers.`})]}),`\n`,_jsx(_components.p,{children:`Here’s how it works:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`The system uses AI to optimize delivery across all channels with priority routing, not just at Zixflow but also at the operator level.`}),`\n`,_jsx(_components.li,{children:`If a message fails or isn’t delivered in time, it automatically switches to another channel.`}),`\n`,_jsx(_components.li,{children:`You can pass potential messages to all activated channels in your account, and the system will handle delivery optimization on autopilot.`}),`\n`]}),`\n`,_jsx(_components.p,{children:`This approach ensures faster and more reliable message delivery, reducing drop-offs and maximizing business impact.`}),`\n`,_jsx(Heading,{level:`4`,id:`how-does-it-work`,children:`How does it work?`}),`\n`,_jsxs(_components.ol,{children:[`\n`,_jsxs(_components.li,{children:[`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Sequential Delivery`}),`: Messages are sent in the defined order (e.g., SMS → WhatsApp → RCS). You can customize it on request.`]}),`\n`]}),`\n`,_jsxs(_components.li,{children:[`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Timeout Handling`}),`:`]}),`\n`]}),`\n`]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`If a message is delivered within the timeout window, the next steps are skipped.`}),`\n`,_jsx(_components.li,{children:`If a message fails, it will switch to the next channel (e.g., if the message fails within 2 seconds, it will move to the next channel immediately without waiting for the timeout).`}),`\n`,_jsx(_components.li,{children:`If we don’t receive a delivery report (success or failure) within the timeout window, it will switch to the next channel.`}),`\n`]}),`\n`,_jsxs(_components.ol,{start:`3`,children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Multi-Channel Reliability`}),`: Combining SMS, WhatsApp, and RCS ensures high delivery success.`]}),`\n`]}),`\n`,_jsx(Heading,{level:`4`,id:`example-flow`,children:`Example Flow`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Scenario`}),`: Send via SMS (timeout 10s), then WhatsApp (timeout 10s), then RCS (timeout 10s).`]}),`\n`]}),`\n`,_jsxs(_components.li,{children:[`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Process`}),`:`]}),`\n`,_jsxs(_components.ol,{children:[`\n`,_jsx(_components.li,{children:`SMS message sent first.`}),`\n`,_jsx(_components.li,{children:`If delivered, stops. If failed or no response, moves to WhatsApp.`}),`\n`,_jsx(_components.li,{children:`Same logic applies to RCS.`}),`\n`]}),`\n`]}),`\n`]}),`\n`,_jsx(Heading,{level:`4`,id:`benefits`,children:`Benefits:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Higher Delivery Rates`}),`: Ensures at least one channel succeeds.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Efficient Use of Resources`}),`: No redundant attempts and reduces wait-time for users.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Customizable`}),`: Control timeouts and delivery order.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Save Costs`}),`: Instead of retrying on the same channel multiple times or sending messages to all channels simultaneously, this approach triggers the second channel only if the first one fails, reducing unnecessary usage and cost.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Real-time updates`}),`: When a switch occurs to the next channel, we can trigger a webhook to your system. This allows you to optimize the user experience. For example, if SMS couldn’t be delivered, we’ll notify you that the message has been sent via the next channel ex. WhatsApp.`]}),`\n`]}),`\n`,_jsx(Heading,{level:`4`,id:`limitation`,children:`Limitation:`}),`\n`,_jsxs(_components.ol,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Timeout Limitation`}),`: The maximum timeout window for all channels combined is 5 minutes (300 seconds). After this, the entire request is skipped.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Total Messages`}),`: In one request, you can send a minimum of 1 message and a maximum of 5 messages. You can use the same channel multiple times or use different channels as per your need (e.g., SMS → SMS → WhatsApp → RCS → Email).`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Fallback Channels`}),`: In some cases, delivery reports may arrive late, even if the message was delivered on time. Despite optimizations, this may result in messages being sent on multiple channels if the report isn’t received within the timeout window.`]}),`\n`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`How to Test`}),`: To check if all information or messages are being sent correctly, set the timeout to 0. This will trigger all messages at once, allowing you to verify if they’re received on the test number from all channels. Once confirmed, increase the timeout for the production environment. We recommend adding a 10-second delay between each message for optimal performance.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`No Additional Cost`}),`: There are no extra charges for this service. You’ll only be charged for the messages sent, based on the pricing of each channel.`]}),`\n`,_jsx(Info,{children:_jsx(_components.p,{children:`Number Verification: For OTP or number verification, use only SMS, WhatsApp,\nand RCS. Avoid using email, as users may receive the OTP via email, but it\nwon’t verify the phone number.`})}),`\n`,_jsx(Heading,{level:`3`,id:`request-body-parameters`,children:`Request Body Parameters`}),`\n`,_jsx(Heading,{level:`4`,id:`root-fields`,children:`Root Fields`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Field`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Description`}),_jsx(_components.th,{children:`Required`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`messages`}),_jsx(_components.td,{children:`array`}),_jsxs(_components.td,{children:[`A list of `,_jsx(_components.code,{children:`message`}),` objects to be sent. It explained below.`]}),_jsx(_components.td,{children:`Yes`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`webhookurl`}),_jsx(_components.td,{children:`string`}),_jsxs(_components.td,{children:[_jsx(_components.strong,{children:`Important:`}),` Pass the webhook URL if you want to display a message to the user when a channel switch happens. eg. If a message switches from SMS to RCS, a webhook will be triggered. You can ignore if you don’t want it. `,_jsx(`br`,{}),_jsx(`br`,{}),` This is `,_jsx(_components.strong,{children:`not`}),` a message delivery webhook. That you need to pass it only in the respective message body. The report URL is separate and used for reporting purposes like delivered.`]}),_jsx(_components.td,{children:`No`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`callbackData`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Metadata or identifiers passed for callbacks.`}),_jsx(_components.td,{children:`No`})]})]})]}),`\n`,_jsx(Heading,{level:`4`,id:`message-object`,children:`Message Object`}),`\n`,_jsxs(_components.p,{children:[`Each message object in the `,_jsx(_components.code,{children:`messages`}),` array contains the following fields:`]}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Field`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Description`}),_jsx(_components.th,{children:`Required`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`channel`}),_jsx(_components.td,{children:`string`}),_jsxs(_components.td,{children:[`The channel through which the message is sent (e.g., `,_jsx(_components.code,{children:`sms`}),`/`,_jsx(_components.code,{children:`whatsapp`}),`/`,_jsx(_components.code,{children:`rcs`}),`/`,_jsx(_components.code,{children:`email`}),`).`]}),_jsx(_components.td,{children:`Yes`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`timeout`}),_jsx(_components.td,{children:`number`}),_jsx(_components.td,{children:`Timeout value for the message in seconds. it range from 0-300.`}),_jsx(_components.td,{children:`Yes`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`messageType`}),_jsx(_components.td,{children:`string`}),_jsxs(_components.td,{children:[`Type of the message. Empty for email and sms channel. For rcs values can be `,_jsx(_components.code,{children:`text`}),`, `,_jsx(_components.code,{children:`message`}),`, `,_jsx(_components.code,{children:`video`}),`, `,_jsx(_components.code,{children:`audio`}),`, `,_jsx(_components.code,{children:`document`}),`, `,_jsx(_components.code,{children:`template`}),`. For whatsapp value can be `,_jsx(_components.code,{children:`template`}),`, `,_jsx(_components.code,{children:`custom`}),`.`]}),_jsx(_components.td,{children:`Yes`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`data`}),_jsx(_components.td,{children:`object`}),_jsx(_components.td,{children:`The message data containing detailed information with respective channel.`}),_jsx(_components.td,{children:`Yes`})]})]})]}),`\n`,_jsx(Heading,{level:`4`,id:`message-data-object`,children:`Message Data Object`}),`\n`,_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`data`}),` object contains the following api request body payload:`]}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{}),_jsx(_components.th,{children:`Channel`}),_jsx(_components.th,{children:`Message Type`}),_jsx(_components.th,{children:`Payload`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Send SMS`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`sms`})}),_jsx(_components.td,{}),_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/campaign/sms/send-sms-post`,children:`Data Payload`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Send Whatsapp Template`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`whatsapp`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`template`})}),_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/campaign/whatsapp/send-whatsapp-message`,children:`Data Payload`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Send Direct Whatsapp Message`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`whatsapp`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`custom`})}),_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/campaign/whatsapp/messages/text-messages`,children:`Data Payload`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Send RCS Text Message`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`rcs`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`text`})}),_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/campaign/rcs/messages/text-message`,children:`Data Payload`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Send RCS Image Message`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`rcs`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`image`})}),_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/campaign/rcs/messages/image-message`,children:`Data Payload`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Send RCS Video Message`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`rcs`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`video`})}),_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/campaign/rcs/messages/video-message`,children:`Data Payload`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Send RCS Audio Message`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`rcs`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`audio`})}),_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/campaign/rcs/messages/audio-message`,children:`Data Payload`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Send RCS Document Message`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`rcs`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`document`})}),_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/campaign/rcs/messages/document-message`,children:`Data Payload`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Send RCS Template Message`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`rcs`})}),_jsx(_components.td,{children:_jsx(_components.code,{children:`template`})}),_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/campaign/rcs/send-rcs-template`,children:`Data Payload`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`Send Email`}),_jsx(_components.td,{children:_jsx(_components.code,{children:`email`})}),_jsx(_components.td,{}),_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-reference/campaign/email/send-email`,children:`Data Payload`})})]})]})]}),`\n`,_jsx(_components.hr,{}),`\n`,_jsxs(_components.p,{children:[`If you’re using WhatsApp for authentication or OTP, we recommend using the `,_jsx(_components.a,{href:`/api-reference/campaign/whatsapp/whatsapp-auth-template`,children:`WhatsApp Authentication template`}),`.`]}),`\n`,_jsx(Heading,{level:`3`,id:`request-body-schema`,children:`Request Body Schema`}),`\n`,_jsxs(ParamField,{body:`messages`,type:`array`,placeholder:`Messages`,required:true,id:`param-messages`,children:[_jsxs(_components.p,{children:[`A list of `,_jsx(_components.code,{children:`message`}),` objects to be sent. It explained below.`]}),_jsxs(Expandable,{title:`properties`,children:[_jsx(ParamField,{body:`channel`,type:`string`,placeholder:`Select channel`,id:`param-channel`,children:_jsxs(_components.p,{children:[`The channel through which the message is sent (e.g.,\n`,_jsx(_components.code,{children:`sms`}),`/`,_jsx(_components.code,{children:`whatsapp`}),`/`,_jsx(_components.code,{children:`rcs`}),`/`,_jsx(_components.code,{children:`email`}),`).`]})}),_jsx(ParamField,{body:`timeout`,type:`number`,placeholder:`Enter timeout`,id:`param-timeout`,children:_jsx(_components.p,{children:`Timeout value for the message in seconds. it range from 0-300.`})}),_jsx(ParamField,{body:`messageType`,type:`string`,placeholder:`Select message type`,id:`param-message-type`,children:_jsxs(_components.p,{children:[`Type of the message. Empty for email and sms channel. For rcs values can\nbe `,_jsx(_components.code,{children:`text`}),`, `,_jsx(_components.code,{children:`message`}),`, `,_jsx(_components.code,{children:`video`}),`, `,_jsx(_components.code,{children:`audio`}),`, `,_jsx(_components.code,{children:`document`}),`, `,_jsx(_components.code,{children:`template`}),`. For\nwhatsapp value can be `,_jsx(_components.code,{children:`template`}),`, `,_jsx(_components.code,{children:`custom`}),`.`]})}),_jsx(ParamField,{body:`data`,type:`object`,placeholder:`Enter message data`,id:`param-data`,children:_jsx(_components.p,{children:`The message data containing detailed information with respective channel.`})})]})]}),`\n`,_jsx(ParamField,{body:`webhookurl`,type:`string`,placeholder:`Enter Webhook Url`,id:`param-webhookurl`,children:_jsx(_components.p,{children:`The URL where message success or failed webhook will be sent with index.`})}),`\n`,_jsx(ParamField,{body:`callbackData`,type:`string`,placeholder:`Enter Callback data`,id:`param-callback-data`,children:_jsx(_components.p,{children:`Metadata or identifiers passed for callbacks.`})}),`\n`,_jsx(Heading,{level:`2`,id:`example-request`,children:`Example Request`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`76`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`76`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://api.zixflow.com/api/v1/campaign/otp-flow`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type: application/json'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"webhookurl\": \"https://example.com/webhook\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"callbackData\": \"order123\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"messages\": [`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"channel\": \"sms\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"timeout\": 0,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"messageType\": \"\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"data\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"senderId\": \"SAMPLE\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"route\": \"promotional\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"number\": \"919876543210\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"message\": \"Boost efficiency with ZixFlow! 🚀 Streamline workflows \u0026 save time. Start now at www.zixflow.com or call 123-456-7890. Your success, simplified!\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"dltTemplateId\": \"1234\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"dltEntityId\": \"1234\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"isFlash\": false,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"submissionStatus\": true,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"reportURL\": \"https://example.com/webhook\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"channel\": \"whatsapp\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"timeout\": 0,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"messageType\": \"template\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"data\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"to\": \"919876543210\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"phoneId\": \"test-phone-id\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"templateName\": \"marketing_sample_2\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"language\": \"en\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"variables\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"\u003cvariable_key>\":\"\u003cvariable_value>`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"source\": \"OTPflow\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"linkWithRecord\": false,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"reportURL\": \"https://example.com/webhook\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"channel\": \"rcs\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"timeout\": 0,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"messageType\": \"text\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"data\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"to\": \"919876543210\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"botId\": \"test-bot-id\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"text\": \"Boost efficiency with ZixFlow! 🚀 Streamline workflows \u0026 save time. Start now at www.zixflow.com or call 123-456-7890. Your success, simplified!\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"source\": \"OTPflow\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"linkWithRecord\": false,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"reportURL\": \"https://example.com/webhook\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"channel\": \"email\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"timeout\": 0,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"messageType\": \"\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"data\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"to\": [`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"text@sample.com\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` ],`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"subject\": \"Boost efficiency with ZixFlow!\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"from\": \"mailer@sample.us\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"fromName\": \"Zixflow Marketing\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"bodyHtml\": \"\u003ch1>Boost efficiency with ZixFlow! 🚀 Streamline workflows \u0026 save time. Start now at www.zixflow.com or call 123-456-7890. Your success, simplified!\u003c/h1>\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"trackClicks\": true,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"trackOpens\": true,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"replyToEmail\": \"support@sample.com\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"attachments\": [],`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"replyToName\": \"Support\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"bodyText\": \"Boost efficiency with ZixFlow! 🚀 Streamline workflows \u0026 save time. Start now at www.zixflow.com or call 123-456-7890. Your success, simplified!\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"callbackUrl\": \"https://example.com/webhook\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}'`})}),`\n`]})})}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(Heading,{level:`3`,id:`success-response`,children:`Success Response`}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Status Code:`}),` `,_jsx(_components.code,{children:`200 OK`})]}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`11`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`11`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Message sent successfully.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"eventId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"ca64ad45-937d-45b4-9c5d-9b1d93bf2302\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"requestIds\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"ca64ad45-937d-45b4-9c5d-9b1d93bf2303\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"ca64ad45-937d-45b4-9c5d-9b1d93bf2304\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"ca64ad45-937d-45b4-9c5d-9b1d93bf2305\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"ca64ad45-937d-45b4-9c5d-9b1d93bf2306\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`3`,id:`error-response`,children:`Error Response`}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Status Code:`}),` `,_jsx(_components.code,{children:`400 Bad Request`})]}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`4`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Invalid request payload.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(_components.hr,{}),`\n`,_jsx(Heading,{level:`2`,id:`notes`,children:`Notes`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Ensure the webhook URL is accessible and capable of handling incoming responses. Our system makes only one attempt, and if your webhook URL is down, the request response cannot be recovered.`}),`\n`,_jsx(_components.li,{children:`Timeout values should be set based on the use case to prevent excessive delays.`}),`\n`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"OTPflow API","api":"POST https://api.zixflow.com/api/v1/campaign/otp-flow","description":"AI-powered OTPflow API designed to maximize message delivery success by automatically routing messages through multiple channels on autopilot.","href":"/api-reference/campaign/otp-flow/otp-flow-api"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"How does it work?","slug":"how-does-it-work","depth":4,"children":[]},{"title":"Example Flow","slug":"example-flow","depth":4,"children":[]},{"title":"Benefits:","slug":"benefits","depth":4,"children":[]},{"title":"Limitation:","slug":"limitation","depth":4,"children":[]},{"title":"Request Body Parameters","slug":"request-body-parameters","depth":3,"children":[]},{"title":"Root Fields","slug":"root-fields","depth":4,"children":[]},{"title":"Message Object","slug":"message-object","depth":4,"children":[]},{"title":"Message Data Object","slug":"message-data-object","depth":4,"children":[]},{"title":"Request Body Schema","slug":"request-body-schema","depth":3,"children":[]},{"title":"Example Request","slug":"example-request","depth":2,"children":[]},{"title":"Response","slug":"response","depth":2,"children":[{"title":"Success Response","slug":"success-response","depth":3,"children":[]},{"title":"Error Response","slug":"error-response","depth":3,"children":[]}]},{"title":"Notes","slug":"notes","depth":2,"children":[]}],"codeExamples":{},"endpoint":{"title":"OTPflow API","path":"/api/v1/campaign/otp-flow","servers":[{"url":"https://api.zixflow.com"}],"method":"post","request":{"security":[],"parameters":{"query":{},"header":{},"cookie":{},"path":{}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"messages":[{"type":"array","items":[{"type":"object","properties":{"channel":[{"type":"string","description":"The channel through which the message is sent (e.g., `sms` / `whatsapp` / `rcs` / `email` ).","placeholder":"Select channel"}],"timeout":[{"type":"number","description":"Timeout value for the message in seconds. it range from 0-300.","placeholder":"Enter timeout"}],"messageType":[{"type":"string","description":"Type of the message. Empty for email and sms channel. For rcs values can be `text` , `message` , `video` , `audio` , `document` , `template` . For whatsapp value can be `template` , `custom` .","placeholder":"Select message type"}],"data":[{"type":"object","properties":{},"description":"The message data containing detailed information with respective channel.","placeholder":"Enter message data"}]}}],"description":"A list of `message` objects to be sent. It explained below.","required":true,"placeholder":"Messages"}],"webhookurl":[{"type":"string","description":"The URL where message success or failed webhook will be sent with index.","placeholder":"Enter Webhook Url"}],"callbackData":[{"type":"string","description":"Metadata or identifiers passed for callbacks.","placeholder":"Enter Callback data"}]}}],"examples":{"example":{"value":{"messages":[{"channel":"\u003cstring>","timeout":123,"messageType":"\u003cstring>","data":{}}],"webhookurl":"\u003cstring>","callbackData":"\u003cstring>"}}}}}},"response":{},"deprecated":false}},"jsLinks":[],"subdomain":"zixflow","siteName":"Zixflow Docs","title":"OTPflow API - Zixflow Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-12T10:00:12.047Z","originalFileLocation":"api-reference/campaign/otp-flow/otp-flow-api.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"AI-powered OTPflow API designed to maximize message delivery success by automatically routing messages through multiple channels on autopilot.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Zixflow Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/zixflow/OV6gRTMbidcgM36T/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/zixflow/OV6gRTMbidcgM36T/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/zixflow/OV6gRTMbidcgM36T/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/zixflow/OV6gRTMbidcgM36T/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/zixflow/OV6gRTMbidcgM36T/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/zixflow/OV6gRTMbidcgM36T/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/zixflow/OV6gRTMbidcgM36T/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/zixflow/OV6gRTMbidcgM36T/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/zixflow/OV6gRTMbidcgM36T/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"OTPflow API - Zixflow Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"AI-powered OTPflow API designed to maximize message delivery success by automatically routing messages through multiple channels on autopilot.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Zixflow Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.zixflow.com/api-reference/campaign/otp-flow/otp-flow-api\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://zixflow.mintlify.site/_mintlify/api/og/v2?division=OTPflow+Message\u0026amp;title=OTPflow+API\u0026amp;description=AI-powered+OTPflow+API+designed+to+maximize+message+delivery+success+by+automatically+routing+messages+through+multiple+channels+on+autopilot.\u0026amp;theme=d788a51a668d4fbbc0f719b2\u0026amp;signature=a2fe061553fadfdec80275007dfcc7becbb2f911a6f2f8febf66e737cf9932ae\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"OTPflow API - Zixflow Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"AI-powered OTPflow API designed to maximize message delivery success by automatically routing messages through multiple channels on autopilot.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://zixflow.mintlify.site/_mintlify/api/og/v2?division=OTPflow+Message\u0026amp;title=OTPflow+API\u0026amp;description=AI-powered+OTPflow+API+designed+to+maximize+message+delivery+success+by+automatically+routing+messages+through+multiple+channels+on+autopilot.\u0026amp;theme=d788a51a668d4fbbc0f719b2\u0026amp;signature=a2fe061553fadfdec80275007dfcc7becbb2f911a6f2f8febf66e737cf9932ae\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/zixflow/OV6gRTMbidcgM36T/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Zixflow Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#9563FF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.zixflow.com/api-reference/campaign/otp-flow/otp-flow-api\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/campaign/otp-flow/otp-flow-api.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.zixflow.com/#organization\",\"name\":\"Zixflow Docs\",\"url\":\"https://docs.zixflow.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/zixflow/ZkR4R10Bz-5t_RgN/logo/light.svg?fit=max\u0026auto=format\u0026n=ZkR4R10Bz-5t_RgN\u0026q=85\u0026s=a7334d13abb8d817b7f9416d78981521\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.zixflow.com#website\",\"name\":\"Zixflow Docs\",\"url\":\"https://docs.zixflow.com\",\"publisher\":{\"@id\":\"https://docs.zixflow.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.zixflow.com/api-reference/campaign/otp-flow/otp-flow-api#webpage\",\"url\":\"https://docs.zixflow.com/api-reference/campaign/otp-flow/otp-flow-api\",\"name\":\"OTPflow API\",\"description\":\"AI-powered OTPflow API designed to maximize message delivery success by automatically routing messages through multiple channels on autopilot.\",\"dateModified\":\"2026-01-12T10:00:12.047Z\",\"isPartOf\":{\"@id\":\"https://docs.zixflow.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.zixflow.com/api-reference/campaign/otp-flow/otp-flow-api#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.zixflow.com/api-reference/campaign/otp-flow/otp-flow-api#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Zixflow Docs\",\"item\":\"https://docs.zixflow.com\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"OTPflow API\",\"item\":\"https://docs.zixflow.com/api-reference/campaign/otp-flow/otp-flow-api\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.zixflow.com/api-reference/campaign/otp-flow/otp-flow-api#apireference\",\"headline\":\"OTPflow API\",\"name\":\"OTPflow API\",\"description\":\"AI-powered OTPflow API designed to maximize message delivery success by automatically routing messages through multiple channels on autopilot.\",\"url\":\"https://docs.zixflow.com/api-reference/campaign/otp-flow/otp-flow-api\",\"mainEntityOfPage\":{\"@id\":\"https://docs.zixflow.com/api-reference/campaign/otp-flow/otp-flow-api#webpage\"},\"dateModified\":\"2026-01-12T10:00:12.047Z\",\"publisher\":{\"@id\":\"https://docs.zixflow.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.zixflow.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Zixflow Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Zixflow Docs","nav":{"global":{"anchors":[{"anchor":"Zixflow Web","icon":"globe","href":"https://zixflow.com/"},{"anchor":"Help Center","icon":"book-open-cover","href":"https://help.zixflow.com/en"},{"anchor":"Blog","icon":"newspaper","href":"https://zixflow.com/blog"}]},"tabs":[{"tab":"Documentation","icon":"book-open","pages":[{"title":"Documentation","href":"/documentation/events/getting-started"}]},{"tab":"SDK Integrations","icon":"brackets-curly","dropdowns":[{"dropdown":"JavaScript","icon":"js","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","href":"/documentation/sdk/javascript/introduction"},{"title":"Requirements","href":"/documentation/sdk/javascript/requirements"},{"title":"Installation","href":"/documentation/sdk/javascript/installation"},{"title":"JavaScript Snippet","href":"/documentation/sdk/javascript/script-installation"},{"title":"Quick Start","href":"/documentation/sdk/javascript/quick-start"}]},{"group":"Features","pages":[{"title":"Core Features","href":"/documentation/sdk/javascript/core-features"},{"title":"Browser-Specific Features","href":"/documentation/sdk/javascript/browser-specific-features"},{"title":"Web Push Notifications","href":"/documentation/sdk/javascript/web-push-notifications"},{"title":"Push Notification Tracking","href":"/documentation/sdk/javascript/push-notification-tracking"}]},{"group":"Advanced","pages":[{"title":"Advanced Configuration","href":"/documentation/sdk/javascript/advanced-configuration"},{"title":"TypeScript Support","href":"/documentation/sdk/javascript/typescript-support"}]},{"group":"Reference","pages":[{"title":"Example Apps","href":"/documentation/sdk/javascript/example-apps"},{"title":"API Reference","href":"/documentation/sdk/javascript/api-reference"}]}]},{"dropdown":"Node.js","icon":"node-js","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","href":"/documentation/sdk/nodejs/introduction"},{"title":"Requirements","href":"/documentation/sdk/nodejs/requirements"},{"title":"Installation","href":"/documentation/sdk/nodejs/installation"},{"title":"Quick Start","href":"/documentation/sdk/nodejs/quick-start"}]},{"group":"Features","pages":[{"title":"Core Features","href":"/documentation/sdk/nodejs/core-features"},{"title":"Node.js-Specific Features","href":"/documentation/sdk/nodejs/nodejs-specific-features"}]},{"group":"Advanced","pages":[{"title":"Advanced Configuration","href":"/documentation/sdk/nodejs/advanced-configuration"},{"title":"TypeScript Support","href":"/documentation/sdk/nodejs/typescript-support"}]},{"group":"Reference","pages":[{"title":"Example Apps","href":"/documentation/sdk/nodejs/example-apps"},{"title":"API Reference","href":"/documentation/sdk/nodejs/api-reference"}]}]},{"dropdown":"React Native","icon":"react","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","href":"/documentation/sdk/react-native/introduction"},{"title":"Requirements","href":"/documentation/sdk/react-native/requirements"},{"title":"Installation","href":"/documentation/sdk/react-native/installation"},{"title":"Quick Start","href":"/documentation/sdk/react-native/quick-start"}]},{"group":"Features","pages":[{"title":"Core Features","href":"/documentation/sdk/react-native/core-features"},{"title":"Push Notifications","href":"/documentation/sdk/react-native/push-notifications"},{"title":"Push Notification Tracking","href":"/documentation/sdk/react-native/push-notification-tracking"},{"title":"Location Tracking","href":"/documentation/sdk/react-native/location-tracking"}]},{"group":"Advanced","pages":[{"title":"Advanced Configuration","href":"/documentation/sdk/react-native/advanced-configuration"},{"title":"Platform-Specific Setup","href":"/documentation/sdk/react-native/platform-specific-setup"}]},{"group":"Reference","pages":[{"title":"Example Applications","href":"/documentation/sdk/react-native/example-applications"},{"title":"API Reference","href":"/documentation/sdk/react-native/api-reference"}]}]},{"dropdown":"Flutter","icon":"mobile","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","href":"/documentation/sdk/flutter/introduction"},{"title":"Requirements","href":"/documentation/sdk/flutter/requirements"},{"title":"Installation","href":"/documentation/sdk/flutter/installation"},{"title":"Quick Start","href":"/documentation/sdk/flutter/quick-start"}]},{"group":"Features","pages":[{"title":"Core Features","href":"/documentation/sdk/flutter/core-features"},{"title":"Push Notifications","href":"/documentation/sdk/flutter/push-notifications"},{"title":"Push Notification Tracking","href":"/documentation/sdk/flutter/push-notification-tracking"},{"title":"Location Tracking","href":"/documentation/sdk/flutter/location-tracking"}]},{"group":"Advanced","pages":[{"title":"Advanced Configuration","href":"/documentation/sdk/flutter/advanced-configuration"},{"title":"Platform-Specific Setup","href":"/documentation/sdk/flutter/platform-specific-setup"}]},{"group":"Reference","pages":[{"title":"Example Apps","href":"/documentation/sdk/flutter/example-apps"},{"title":"API Reference","href":"/documentation/sdk/flutter/api-reference"}]}]},{"dropdown":"iOS","icon":"apple","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","href":"/documentation/sdk/ios/introduction"},{"title":"Requirements","href":"/documentation/sdk/ios/requirements"},{"title":"Installation","href":"/documentation/sdk/ios/installation"},{"title":"Quick Start","href":"/documentation/sdk/ios/quick-start"}]},{"group":"Features","pages":[{"title":"Core Features","href":"/documentation/sdk/ios/core-features"},{"title":"Push Notifications","href":"/documentation/sdk/ios/push-notifications"},{"title":"Push Notification Tracking","href":"/documentation/sdk/ios/push-notification-tracking"},{"title":"Location Tracking","href":"/documentation/sdk/ios/location-tracking"}]},{"group":"Advanced","pages":[{"title":"Advanced Configuration","href":"/documentation/sdk/ios/advanced-configuration"},{"title":"Platform-Specific Guides","href":"/documentation/sdk/ios/platform-specific-guides"}]},{"group":"Reference","pages":[{"title":"Example Apps","href":"/documentation/sdk/ios/example-apps"},{"title":"API Reference","href":"/documentation/sdk/ios/api-reference"}]}]},{"dropdown":"Android","icon":"android","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","href":"/documentation/sdk/android/introduction"},{"title":"Requirements","href":"/documentation/sdk/android/requirements"},{"title":"Installation","href":"/documentation/sdk/android/installation"},{"title":"Quick Start","href":"/documentation/sdk/android/quick-start"}]},{"group":"Features","pages":[{"title":"Core Features","href":"/documentation/sdk/android/core-features"},{"title":"Push Notifications","href":"/documentation/sdk/android/push-notifications"},{"title":"Push Notification Tracking","href":"/documentation/sdk/android/push-notification-tracking"},{"title":"Location Tracking","href":"/documentation/sdk/android/location-tracking"}]},{"group":"Advanced","pages":[{"title":"Advanced Configuration","href":"/documentation/sdk/android/advanced-configuration"}]},{"group":"Reference","pages":[{"title":"Example Apps","href":"/documentation/sdk/android/example-apps"},{"title":"API Reference","href":"/documentation/sdk/android/api-reference"}]}]}]},{"tab":"API Reference","icon":"square-terminal","dropdowns":[{"dropdown":"Zixflow AI","icon":"sparkles","pages":[{"group":"Zixflow AI","pages":[{"title":"Introduction","href":"/api-reference/zixflow-ai/introduction"},{"title":"API Authentication","href":"/api-reference/zixflow-ai/authentication"},{"title":"Postback Notifications","href":"/api-reference/zixflow-ai/postback-notifications"},{"title":"Error Codes","href":"/api-reference/zixflow-ai/error-codes"}]},{"group":"Sendflow","pages":[{"title":"Introduction to Sendflow","href":"/api-reference/zixflow-ai/sendflow/introduction"},{"title":"Condition Node","href":"/api-reference/zixflow-ai/sendflow/condition-node"},{"title":"Trigger Sendflow","api":"POST https://api-ai.zixflow.com/api/ingest/sendflow/v1/{sendflow_id}/trigger","href":"/api-reference/zixflow-ai/sendflow/trigger"},{"title":"Stop Sendflow Execution","api":"POST https://api-ai.zixflow.com/api/ingest/sendflow/v1/{sendflow_id}/stop/{request_id}","href":"/api-reference/zixflow-ai/sendflow/stop"},{"title":"Get Sendflow Delivery Report","api":"GET https://api-ai.zixflow.com/api/data/sendflow/v1/delivery-report","href":"/api-reference/zixflow-ai/sendflow/get-delivery-report"},{"title":"Get Sendflow Report Logs","api":"GET https://api-ai.zixflow.com/api/data/sendflow/v1/reports/logs/{flowId}","href":"/api-reference/zixflow-ai/sendflow/get-report-logs"},{"title":"Get Sendflow Reports Summary","api":"GET https://api-ai.zixflow.com/api/data/sendflow/v1/reports/summary/{flowId}","href":"/api-reference/zixflow-ai/sendflow/get-report-summary"}]},{"group":"Events","pages":[{"title":"Events Introduction","href":"/api-reference/zixflow-ai/events/introduction"},{"title":"Events Authentication","href":"/api-reference/zixflow-ai/events/authentication"},{"title":"Context Object","href":"/api-reference/zixflow-ai/events/context"},{"title":"Events Errors","href":"/api-reference/zixflow-ai/events/errors"},{"group":"Data Pipelines","pages":[{"title":"Identify","api":"POST https://api-events.zixflow.com/v1/identify","href":"/api-reference/zixflow-ai/events/identify"},{"title":"Track","api":"POST https://api-events.zixflow.com/v1/track","href":"/api-reference/zixflow-ai/events/track"},{"title":"Screen","api":"POST https://api-events.zixflow.com/v1/screen","href":"/api-reference/zixflow-ai/events/screen"},{"title":"Page","api":"POST https://api-events.zixflow.com/v1/page","href":"/api-reference/zixflow-ai/events/page"},{"title":"Batch","api":"POST https://api-events.zixflow.com/v1/batch","href":"/api-reference/zixflow-ai/events/batch"}]}]},{"group":"CSV Import","pages":[{"title":"CSV Import Introduction","href":"/api-reference/zixflow-ai/import/introduction"},{"group":"People","pages":[{"title":"Import People","api":"POST https://api-ai.zixflow.com/api/data/people/v1/import","href":"/api-reference/zixflow-ai/import/people/create"},{"title":"Get People Import Status","api":"GET https://api-ai.zixflow.com/api/data/people/v1/import/{import_id}","href":"/api-reference/zixflow-ai/import/people/get-status"},{"title":"Cancel People Import","api":"POST https://api-ai.zixflow.com/api/data/people/v1/import/{import_id}/cancel","href":"/api-reference/zixflow-ai/import/people/cancel"}]},{"group":"Events","pages":[{"title":"Import Events","api":"POST https://api-ai.zixflow.com/api/data/events/v1/import","href":"/api-reference/zixflow-ai/import/events/create"},{"title":"Get Events Import Status","api":"GET https://api-ai.zixflow.com/api/data/events/v1/import/{import_id}","href":"/api-reference/zixflow-ai/import/events/get-status"},{"title":"Cancel Events Import","api":"POST https://api-ai.zixflow.com/api/data/events/v1/import/{import_id}/cancel","href":"/api-reference/zixflow-ai/import/events/cancel"}]},{"group":"Devices","pages":[{"title":"Import Devices","api":"POST https://api-ai.zixflow.com/api/data/devices/v1/import","href":"/api-reference/zixflow-ai/import/devices/create"},{"title":"Get Devices Import Status","api":"GET https://api-ai.zixflow.com/api/data/devices/v1/import/{import_id}","href":"/api-reference/zixflow-ai/import/devices/get-status"},{"title":"Cancel Devices Import","api":"POST https://api-ai.zixflow.com/api/data/devices/v1/import/{import_id}/cancel","href":"/api-reference/zixflow-ai/import/devices/cancel"}]}]},{"group":"WhatsApp","pages":[{"title":"Introduction to WhatsApp Messaging","href":"/api-reference/zixflow-ai/whatsapp/introduction"},{"title":"Get WhatsApp Accounts","api":"GET https://api-ai.zixflow.com/api/data/whatsapp/v1/accounts","href":"/api-reference/zixflow-ai/whatsapp/get-accounts"},{"title":"Get WhatsApp Templates","api":"GET https://api-ai.zixflow.com/api/data/whatsapp/v1/{phone_id}/templates","href":"/api-reference/zixflow-ai/whatsapp/get-templates"},{"title":"Get WhatsApp Template Variables","api":"GET https://api-ai.zixflow.com/api/data/whatsapp/v1/{phone_id}/variable-keys","href":"/api-reference/zixflow-ai/whatsapp/get-template-variables"},{"title":"Send WhatsApp Template","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/template/send","href":"/api-reference/zixflow-ai/whatsapp/send-template"},{"title":"Authentication Templates","href":"/api-reference/zixflow-ai/whatsapp/whatsapp-auth-template"},{"group":"Direct Messages","pages":[{"title":"Send WhatsApp Text Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/text/send","href":"/api-reference/zixflow-ai/whatsapp/messages/text-message"},{"title":"Send WhatsApp Image Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/image/send","href":"/api-reference/zixflow-ai/whatsapp/messages/image-message"},{"title":"Send WhatsApp Video Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/video/send","href":"/api-reference/zixflow-ai/whatsapp/messages/video-message"},{"title":"Send WhatsApp Audio Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/audio/send","href":"/api-reference/zixflow-ai/whatsapp/messages/audio-message"},{"title":"Send WhatsApp Document Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/document/send","href":"/api-reference/zixflow-ai/whatsapp/messages/document-message"},{"title":"Send WhatsApp Sticker Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/sticker/send","href":"/api-reference/zixflow-ai/whatsapp/messages/sticker-message"},{"title":"Send WhatsApp Location Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/location/send","href":"/api-reference/zixflow-ai/whatsapp/messages/location-message"},{"title":"Send WhatsApp Reaction Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/reaction/send","href":"/api-reference/zixflow-ai/whatsapp/messages/reaction-message"},{"title":"Send WhatsApp Contact Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/contacts/send","href":"/api-reference/zixflow-ai/whatsapp/messages/contact-message"}]},{"group":"Interactive Messages","pages":[{"title":"Send WhatsApp Interactive Address Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/interactive/address/send","href":"/api-reference/zixflow-ai/whatsapp/messages/interactive-address-message"},{"title":"Send WhatsApp Interactive List Buttons Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/interactive/list-buttons/send","href":"/api-reference/zixflow-ai/whatsapp/messages/interactive-list-buttons-message"},{"title":"Send WhatsApp Interactive Location Request Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/interactive/location-request/send","href":"/api-reference/zixflow-ai/whatsapp/messages/interactive-location-request-message"},{"title":"Send WhatsApp Interactive Media Carousel Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/interactive/media-carousel/send","href":"/api-reference/zixflow-ai/whatsapp/messages/interactive-media-carousel-message"},{"title":"Send WhatsApp Interactive Product Carousel Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/interactive/product-carousel/send","href":"/api-reference/zixflow-ai/whatsapp/messages/interactive-product-carousel-message"},{"title":"Send WhatsApp Interactive Reply Buttons Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/interactive/reply-buttons/send","href":"/api-reference/zixflow-ai/whatsapp/messages/interactive-reply-buttons-message"},{"title":"Send WhatsApp Interactive URL Button Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/interactive/url-button/send","href":"/api-reference/zixflow-ai/whatsapp/messages/interactive-url-button-message"}]}]},{"group":"RCS","pages":[{"title":"Introduction to RCS Messaging","href":"/api-reference/zixflow-ai/rcs/introduction"},{"title":"Get RCS Template Variables","api":"GET https://api-ai.zixflow.com/api/data/rcs/v1/{bot_id}/variable-keys","href":"/api-reference/zixflow-ai/rcs/get-template-variables"},{"title":"Send RCS Template","api":"POST https://api-ai.zixflow.com/api/ingest/rcs/v1/template/send","href":"/api-reference/zixflow-ai/rcs/send-template"},{"group":"Direct Messages","pages":[{"title":"Send RCS Text Message","api":"POST https://api-ai.zixflow.com/api/ingest/rcs/v1/message/text/send","href":"/api-reference/zixflow-ai/rcs/messages/text-message"},{"title":"Send RCS Image Message","api":"POST https://api-ai.zixflow.com/api/ingest/rcs/v1/message/image/send","href":"/api-reference/zixflow-ai/rcs/messages/image-message"},{"title":"Send RCS Video Message","api":"POST https://api-ai.zixflow.com/api/ingest/rcs/v1/message/video/send","href":"/api-reference/zixflow-ai/rcs/messages/video-message"},{"title":"Send RCS Audio Message","api":"POST https://api-ai.zixflow.com/api/ingest/rcs/v1/message/audio/send","href":"/api-reference/zixflow-ai/rcs/messages/audio-message"},{"title":"Send RCS Document Message","api":"POST https://api-ai.zixflow.com/api/ingest/rcs/v1/message/document/send","href":"/api-reference/zixflow-ai/rcs/messages/document-message"}]}]},{"group":"SMS","pages":[{"title":"Send SMS Message","api":"POST https://api-ai.zixflow.com/api/ingest/sms/v1/message/send","href":"/api-reference/zixflow-ai/sms/send-message"}]},{"group":"Email","pages":[{"title":"Send Email Message","api":"POST https://api-ai.zixflow.com/api/ingest/email/v1/message/send","href":"/api-reference/zixflow-ai/email/send-message"},{"title":"Send Email Template","api":"POST https://api-ai.zixflow.com/api/ingest/email/v1/template/send","href":"/api-reference/zixflow-ai/email/send-template"}]},{"group":"Messages","pages":[{"title":"Get Message Delivery Report","api":"GET https://api-ai.zixflow.com/api/data/messages/v1/delivery-report","href":"/api-reference/zixflow-ai/messages/get-delivery-report"},{"title":"Get Message Report Logs","api":"GET https://api-ai.zixflow.com/api/data/messages/v1/reports/logs","href":"/api-reference/zixflow-ai/messages/get-report-logs"},{"title":"Get Message Reports Summary","api":"GET https://api-ai.zixflow.com/api/data/messages/v1/reports/summary","href":"/api-reference/zixflow-ai/messages/get-report-summary"}]}]},{"dropdown":"Zixflow App","icon":"code","pages":[{"group":"API Documentation","pages":[{"title":"Introduction","href":"/api-reference/introduction"},{"title":"API Key Authentication","description":"API Key Authentication is a straightforward method for securing access to the Zixflow API's. You can generate an API key through Zixflow's dashboard, allowing you to define permissions, set expiration dates, and specify IP restrictions if necessary.","href":"/api-reference/authentication"}]},{"group":"OTPflow Message","pages":[{"title":"OTPflow API","api":"POST https://api.zixflow.com/api/v1/campaign/otp-flow","href":"/api-reference/campaign/otp-flow/otp-flow-api"}]},{"group":"Whatsapp Campaign","pages":[{"title":"Introduction","description":"Campaign - Send Whatsapp","href":"/api-reference/campaign/whatsapp/introduction"},{"title":"Get List Of WA Accounts","api":"GET https://api.zixflow.com/api/v1/campaign/whatsapp/accounts","href":"/api-reference/campaign/whatsapp/get-whatsapp-accounts"},{"title":"Get List Of Templates","api":"GET https://api.zixflow.com/api/v1/campaign/whatsapp/templates/{phoneId}","href":"/api-reference/campaign/whatsapp/get-template-list"},{"title":"Get Template Variables","api":"GET https://api.zixflow.com/api/v1/campaign/whatsapp/variable-keys","href":"/api-reference/campaign/whatsapp/template-variable-get"},{"title":"Send Whatsapp Template Message","api":"POST https://api.zixflow.com/api/v1/campaign/whatsapp/send","href":"/api-reference/campaign/whatsapp/send-whatsapp-message"},{"group":"Free-Form / Direct Messages","pages":[{"title":"Send Whatsapp Text Message","api":"POST https://api.zixflow.com/api/v1/campaign/whatsapp/message/send","href":"/api-reference/campaign/whatsapp/messages/text-messages"},{"title":"Send Whatsapp Image Message","api":"POST https://api.zixflow.com/api/v1/campaign/whatsapp/message/send","href":"/api-reference/campaign/whatsapp/messages/image-message"},{"title":"Send Whatsapp Video Message","api":"POST https://api.zixflow.com/api/v1/campaign/whatsapp/message/send","href":"/api-reference/campaign/whatsapp/messages/video-message"},{"title":"Send Whatsapp Audio Message","api":"POST https://api.zixflow.com/api/v1/campaign/whatsapp/message/send","href":"/api-reference/campaign/whatsapp/messages/audio-message"},{"title":"Send Whatsapp Document Message","api":"POST https://api.zixflow.com/api/v1/campaign/whatsapp/message/send","href":"/api-reference/campaign/whatsapp/messages/document-message"},{"title":"Send Whatsapp Location Message","api":"POST https://api.zixflow.com/api/v1/campaign/whatsapp/message/send","href":"/api-reference/campaign/whatsapp/messages/location-message"}]},{"title":"Authentication Templates","href":"/api-reference/campaign/whatsapp/whatsapp-auth-template"},{"title":"Incoming Message Webhook","href":"/api-reference/campaign/whatsapp/incoming-message-webhook"}]},{"group":"RCS Campaign","pages":[{"title":"Introduction to RCS Messaging","href":"/api-reference/campaign/rcs/introduction"},{"title":"Get List of Template Variables","api":"GET https://api.zixflow.com/api/v1/campaign/rcs/variable-keys/{botId}","href":"/api-reference/campaign/rcs/get-template-variables"},{"title":"Send Template Message","api":"POST https://api.zixflow.com/api/v1/campaign/rcs/message/template","href":"/api-reference/campaign/rcs/send-rcs-template"},{"group":"Direct Messages","pages":[{"title":"Send Text Message","api":"POST https://api.zixflow.com/api/v1/campaign/rcs/message/text","href":"/api-reference/campaign/rcs/messages/text-message"},{"title":"Send Image Message","api":"POST https://api.zixflow.com/api/v1/campaign/rcs/message/image","href":"/api-reference/campaign/rcs/messages/image-message"},{"title":"Send Video Message","api":"POST https://api.zixflow.com/api/v1/campaign/rcs/message/video","href":"/api-reference/campaign/rcs/messages/video-message"},{"title":"Send Audio Message","api":"POST https://api.zixflow.com/api/v1/campaign/rcs/message/audio","href":"/api-reference/campaign/rcs/messages/audio-message"},{"title":"Send Document Message","api":"POST https://api.zixflow.com/api/v1/campaign/rcs/message/document","href":"/api-reference/campaign/rcs/messages/document-message"}]},{"title":"Incoming Message Webhook","href":"/api-reference/campaign/rcs/incoming-message-webhook"}]},{"group":"SMS Campaign","pages":[{"title":"Introduction","href":"/api-reference/campaign/sms/introduction"},{"title":"Send SMS","api":"GET https://api.zixflow.com/api/apis/campaign/sms/send","href":"/api-reference/campaign/sms/send-sms-get"},{"title":"Send SMS","api":"POST https://api.zixflow.com/api/v1/campaign/sms/send","href":"/api-reference/campaign/sms/send-sms-post"}]},{"group":"Email Campaign","pages":[{"title":"Introduction","href":"/api-reference/campaign/email/introduction"},{"title":"Send Email","api":"POST https://api.zixflow.com/api/v1/campaign/email/send","href":"/api-reference/campaign/email/send-email"},{"title":"Upload Attachment","api":"POST https://api.zixflow.com/api/v1/campaign/email/upload","href":"/api-reference/campaign/email/upload-attachment"}]},{"group":"Campaign Report","pages":[{"title":"Get Whatsapp Message Report","api":"GET https://api.zixflow.com/api/v1/campaign/report/whatsapp/{messageId}","href":"/api-reference/campaign/report/get-whatsapp-report"},{"title":"Get SMS Message Report","api":"GET https://api.zixflow.com/api/v1/campaign/report/sms/{messageId}","href":"/api-reference/campaign/report/get-sms-report"},{"title":"Get Email Message Report","api":"GET https://api.zixflow.com/api/v1/campaign/report/email/{messageId}","href":"/api-reference/campaign/report/get-email-report"}]},{"group":"Collections","pages":[{"title":"Introduction to Collections","href":"/api-reference/collection/introduction"},{"title":"Get List Of Collections","api":"GET https://api.zixflow.com/api/v1/collections","href":"/api-reference/collection/get-list-of-collections"},{"title":"Get Collection By ID","api":"GET https://api.zixflow.com/api/v1/collections/{collectionId}","href":"/api-reference/collection/get-collection"}]},{"group":"Lists","pages":[{"title":"Get List of Lists","api":"GET https://api.zixflow.com/api/v1/lists","href":"/api-reference/list/get-list-of-lists"},{"title":"Get List By ID","api":"GET https://api.zixflow.com/api/v1/lists/{listId}","href":"/api-reference/list/get-list"}]},{"group":"Attributes","pages":[{"group":"Attribute Options","pages":[{"title":"Get List Of Attribute Options","api":"GET https://api.zixflow.com/api/v1/attributes/{target}/{targetId}/{attributeId}/options","href":"/api-reference/attributes/options/get"},{"title":"Update Attribute Option","api":"PATCH https://api.zixflow.com/api/v1/attributes/{target}/{targetId}/{attributeId}/options/{optionId}","href":"/api-reference/attributes/options/update"},{"title":"Delete Attribute Option","api":"DELETE https://api.zixflow.com/api/v1/attributes/{target}/{targetId}/{attributeId}/options/{optionId}","href":"/api-reference/attributes/options/delete"}]},{"group":"Attribute Status","pages":[{"title":"Get List Of Attribute Status Options","api":"GET https://api.zixflow.com/api/v1/attributes/{target}/{targetId}/{attributeId}/status","href":"/api-reference/attributes/statuses/get"},{"title":"Update Attribute Status Option","api":"PATCH https://api.zixflow.com/api/v1/attributes/{target}/{targetId}/{attributeId}/status/{optionId}","href":"/api-reference/attributes/statuses/update"},{"title":"Delete Attribute Status Option","api":"DELETE https://api.zixflow.com/api/v1/attributes/{target}/{targetId}/{attributeId}/status/{statusId}","href":"/api-reference/attributes/statuses/delete"}]},{"title":"Get List Of Attributes","api":"GET https://api.zixflow.com/api/v1/attributes/{target}/{targetId}","href":"/api-reference/attributes/get-list-of-attributes"},{"title":"Get Attribute By ID","api":"GET https://api.zixflow.com/api/v1/attributes/{target}/{targetId}/{attributeId}","href":"/api-reference/attributes/get"},{"title":"Create Custom Attribute","api":"POST https://api.zixflow.com/api/v1/attributes/{target}/{targetId}","href":"/api-reference/attributes/create"},{"title":"Update Custom Attribute","api":"PATCH https://api.zixflow.com/api/v1/attributes/{target}/{targetId}/{attributeId}","href":"/api-reference/attributes/update"},{"title":"Delete Custom Attribute","api":"DELETE https://api.zixflow.com/api/v1/attributes/{target}/{targetId}/{attributeId}","href":"/api-reference/attributes/delete"}]},{"group":"Collection Records","pages":[{"title":"Filtering And Sorting","href":"/api-reference/filtering-and-sorting"},{"title":"Get List of Collection Records","api":"POST https://api.zixflow.com/api/v1/collection-records/{collectionId}/query","href":"/api-reference/records/get"},{"title":"Get Collection Record By ID","api":"GET https://api.zixflow.com/api/v1/collection-records/{collectionId}/{recordId}","href":"/api-reference/records/get-by-id"},{"title":"Create A Collection Record","api":"POST https://api.zixflow.com/api/v1/collection-records/{collectionId}","href":"/api-reference/records/create"},{"title":"Update A Collection Record","api":"PATCH https://api.zixflow.com/api/v1/collection-records/{collectionId}/{recordId}","href":"/api-reference/records/edit"},{"title":"Delete Collection Record By ID","api":"DELETE https://api.zixflow.com/api/v1/collection-records/{collectionId}/{recordId}","href":"/api-reference/records/delete"}]},{"group":"List Entries","pages":[{"title":"Get List of List Entries","api":"POST https://api.zixflow.com/api/v1/list-entries/{listId}/query","href":"/api-reference/list-entries/get"},{"title":"Get List Entry By ID","api":"GET https://api.zixflow.com/api/v1/list-entries/{listId}/{entryId}","href":"/api-reference/list-entries/get-by-id"},{"title":"Create A List Entry","api":"POST https://api.zixflow.com/api/v1/list-entries/{listId}","href":"/api-reference/list-entries/create"},{"title":"Update List Entry","api":"PATCH https://api.zixflow.com/api/v1/list-entries/{listId}/{entryId}","href":"/api-reference/list-entries/edit"},{"title":"Delete List Entry By ID","api":"DELETE https://api.zixflow.com/api/v1/list-entries/{listId}/{entryId}","href":"/api-reference/list-entries/delete"}]},{"group":"Activity / Task","pages":[{"title":"Get List of Activities","api":"POST https://api.zixflow.com/api/v1/collection-records/activity-list/query","href":"/api-reference/activity-list/get"},{"title":"Get Activity By Id","api":"GET https://api.zixflow.com/api/v1/collection-records/activity-list/{activityId}","href":"/api-reference/activity-list/get-by-id"},{"title":"Create An Activity","api":"POST https://api.zixflow.com/api/v1/collection-records/activity-list","href":"/api-reference/activity-list/create"},{"title":"Update An Activity","api":"PATCH https://api.zixflow.com/api/v1/collection-records/activity-list/{activityId}","href":"/api-reference/activity-list/edit"},{"title":"Delete Activity By ID","api":"DELETE https://api.zixflow.com/api/v1/collection-records/activity-list/{activityId}","href":"/api-reference/activity-list/delete"}]},{"group":"Workspace Members","pages":[{"title":"Get List of Workspace Members","api":"GET https://api.zixflow.com/api/v1/workspace-members","href":"/api-reference/workspace-members/get-list-of-members"},{"title":"Get Workspace Member By ID","api":"GET https://api.zixflow.com/api/v1/workspace-members/{memberId}","href":"/api-reference/workspace-members/get"}]}]}]}]},"basePath":"","title":"OTPflow API - Zixflow Docs","buildId":"dpl_FWZhTb2vab28gFGFH4ojka6qEznQ","deploymentId":"dpl_FWZhTb2vab28gFGFH4ojka6qEznQ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-CBsVopKK.js","utils-DZAk68jJ.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-D32AYZrP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-D_A5_cny.js","snippetPresets-xNRfS9th.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BIB25-tq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CydJ4w4j.js","shallow-CYPBeQSG.js","getApiPlaygroundDisplay-A5xJVBOu.js","CodeSnippet-BVRTgi3m.js","CodeSnippets-DjD6BSlt.js","Page-Dr40SSJq.js","getPastedJson-D4V4JyrR.js","icon-uhcnG22T.js","MethodPill-CM-ZQdGH.js","DuplicateIcon-B_WnOiNf.js","createIcon-CJsb8utt.js","DynamicMarkdown-D-2HDKEp.js","SectionHeading-KP5xmMgQ.js","axios-vUo_bRtp.js"]}